Subject: Re: Problem with 285 and Am79C973

From: "Joakim Goterdal" <[email-masked]>
Date: Fri, 13 Aug 1999 15:11:50 +0200

Benjamin Herrenschmidt <[email-masked]> wrote:
> I'm working on a driver for the Am79C973 Ethernet controller that we use
> on our board. (The Linux PCNet driver needs to be adapted a little bit
> for ARM and for this chip, but I'm beginning with a driver for Russel's BIOS).

Maybe I have a similar problem. While supported on i386, I can not get Am79C970A or Am79C978 to work on EBSA285. Do these chips need an ARM adapted pcnet32 driver to work?

In my case I have bootp enabled. When bootp is sent, I do not get any interrupts, and no packets on the ethernet wire. But later on, when bootp has done a number of retries and timed out, I see a bootp packet on the wire and I get an interrupt. See below. Any hints on what I could do to correct this?

(I have it working with other network adapters like DEC 21040.)

Thanks for any help,
Joakim

Linux version 2.2.10-rmk3:

pcnet32.c: PCI bios is present, checking for devices...
Found PCnet/PCI at 0xf200, irq 22.
  PCnet chip version is 0x62621003.
eth0: PCnet/PCI II 79C970A at 0xf200, 00 00 4b 30 8d 81 assigned IRQ 22.
pcnet32.c:v1.21 31.3.99 [email-masked]
eth0: pcnet32_open() irq 22 tx/rx rings 0xe01fd900/0xe01fd800 init 0xe01fda00.
eth0: exiting interrupt, csr0=0x0043.
eth0: PCNET32 open after 5 ticks, init block 0xe01fda00 csr0 01c3.
eth0: exiting interrupt, csr0=0x0043.
eth0: exiting interrupt, csr0=0x0043.
Sending BOOTP requests...eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
.eth0: pcnet32_start_xmit() called, csr0 0043.
. timed out!
IP-Config: Auto-configuration of network failed.
eth0: exiting interrupt, csr0=0x0073.
eth0: interrupt  csr0=0x2f3 new csr=0x33.
eth0: exiting interrupt, csr0=0x0073.
eth0: Shutting down ethercard, status was 73.
Root-NFS: No NFS server available, giving up.
VFS: Unable to mount root fs via NFS, trying floppy.
VFS: Cannot open root device 02:00
Kernel panic: VFS: Unable to mount root fs on 02:00

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]